Subject: Re: [PATCH 1/2] reflog: drop usage of global variables

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Mar 2025 08:24:36 -0700

Karthik Nayak <[email-masked]> writes:

>> but I also suspect that it is mostly due to the original program
>> structure that uses OPT_SUBCOMMAND() that the subcommands fail to
>> respond to "-h" unlike the top-level command, so this may not be a
>> regression.  I do think however that this change is making it harder
>> to fix.
>>
>
> Hmm. But this is the existing behavior, no?

Didn't I said I also suspect?

> But point taken, I'll drop this patch in the next version! Thanks

Yup.  Take your time, as it is already deep in prerelease feature
freeze.  I'd prefer to see us leaving spare capacity in our minds to
fix regressions introduced during this period once they are noticed,
without getting distracted by shiny new toys.

Thanks.